> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/da/powershell-commands/get-dspamscanresult.md).

# Get-DSPamScanResult

Get-DSPamScanResult henter outcome af flest seneste scan job for en specifik Devolutions Server konto discovery konfiguration.

### Synopsis

Hent outcome af flest seneste scan job knyttet til en specifik konto discovery konfiguration

### Syntaks

#### \_\_AllParameterSets

```
Get-DSPamScanResult [-InputObject] <ScanConfigurationDto> [[-Filter] <string>] [-ExcludeManaged]
 [<CommonParameters>]
```

### Description

Hent outcome af flest seneste scan job knyttet til en specifik konto discovery konfiguration.

### Eksempler

#### Eksempel 1

```powershell
PS C:\> Get-DSPamScanConfiguration -LiteralName 'ScanA' | Get-DSPamScanResult
```

Hent scan resultat for konfigurationen med navnet 'ScanA'

#### Eksempel 2

```powershell
PS C:\> $providerID = 'the-desired-pam-provider-ID'
        $folderID = 'the-desired-pam-vault-or-folder-ID'
        $configuration = Get-DSPamScanConfiguration -LiteralName 'ScanA';
        $toImport = Get-DSPamScanResult -InputObject $configuration -Filter '@domain.net' -ExcludedManaged;
        $providerResult = Get-DSPamProvider
        $provider = $providerResult.Data | Where -Property ID -eq $providerID
        $importResult = Import-DSPamScanResult -ScanResult $toImport -Provider $provider -FolderID $folderID
```

Fra 'ScanA' PAM scan's resultat, import alle brugere der har '@domain.net' i deres brugernavn, værtsnavn, fullname, eller beskrivelse i PAM mappe angivet af $folderID.

### Parametre

#### -ExcludeManaged

Udelad managed brugere

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Filter

Global filter, identical til web UI filter, er designed til være applied til brugernavnet, værtsnavn, fullname, og beskrivelse felter.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

PAM konto discovery konfiguration objekt hentet fra Get-DSPamScanConfiguration

```yaml
Type: Devolutions.Server.NetworkDiscovery.Dto.ScanConfigurationDto
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Denne cmdlet understøtter de almindelige parametre: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction og -WarningVariable. Yderligere oplysninger finder De i [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Input

#### Devolutions.Server.NetworkDiscovery.Dto.ScanConfigurationDto

PAM konto discovery konfiguration objekt hentet fra Get-DSPamScanConfiguration

### Noter

Yderligere oplysninger får De ved at skrive "Get-Help Get-DSPamScanResult -detailed". Tekniske oplysninger får De ved at skrive "Get-Help Get-DSPamScanResult -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/da/powershell-commands/get-dspamscanresult.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
